<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.platform.runtime</groupId>
        <artifactId>core</artifactId>
        <version>1.10.1</version>
    </parent>

    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>management</artifactId>
    <packaging>pom</packaging>
    <name>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: MANAGEMENT</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: MANAGEMENT</description>

	<dependencies>
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  		<version>1.4.0</version>
	  		<scope>compile</scope>
	  	</dependency>        
        <dependency>
        	<groupId>org.apache.felix</groupId>
        	<artifactId>org.apache.felix.scr</artifactId>
        	<version>2.1.20</version>
        </dependency>
	  	<dependency>
	  		<groupId>
	  			ru.entaxy.esb.platform.runtime.base
	  		</groupId>
	  		<artifactId>base-support</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
	  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
	  		<artifactId>management-core</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	</dependencies>

    <modules>
        <module>connection-management</module>
        
        <!-- @MOVED root/platform-backward-compat-->
        <!--
        <module>blueprint-generator-service</module>
        -->
        
        <module>profile-management</module>
        <module>connector-management</module>
        <module>node-management</module>
        <module>cluster-node-management</module>
        <!-- @MOVED root/platform-backward-compat-->
        <!--
        <module>profile-management-service-adapters</module>
        -->
        <module>service-management</module>
        <module>object-management</module>
        <module>repository-management</module>
        <module>config-management</module>
        <module>route-management</module>
    </modules>

</project>
